Update SKU

Updating an existing SKU will set the product type to `Advanced` for the product associated with the SKU. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site
product_idstringRequiredformat: "uuid"
Unique identifier for a Product
sku_idstringRequiredformat: "uuid"
Unique identifier for a SKU

Headers

Accept-VersionstringOptional
The API version

Request

The SKU to update
skuobjectOptional
The SKU object

Response

Request was successful
_idstringRead-onlyformat: "uuid"
Unique identifier for collection
namestringRead-only
Name given to Collection
slugstringRead-only
Slug of Collection in Site URL structure
fieldsobject
Fields in your SKU object
lastUpdatedstringRead-onlyformat: "date-time"
The date the collection was last updated
createdOnstringRead-onlyformat: "date-time"
The date the collection was create
singularNamestringRead-only

The name of one Item in Collection (e.g. “sku” if the Collection is called “SKU”)

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error